Skip to main content
POST
/
api
/
v1
/
chatbot
/
<uuid>
/
source-tag
/
create
curl --location --request POST 'https://app.innochat.ch/api/v1/chatbot/<uuid>/source-tag/create' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data-raw '{
  "name": "string",
  "color": "#088F8F",
}'
{
  "color": "#088F8F",
  "created_at": "2024-09-12T00:19:12Z",
  "data_source_uuids": [],
  "modified_at": "2024-09-12T00:19:12Z",
  "name": "string",
  "uuid": "d6099f4845794b4bb088b291fc3ef23a"
}

Documentation Index

Fetch the complete documentation index at: https://docs.innochat.ch/llms.txt

Use this file to discover all available pages before exploring further.

Path

uuid
string
required
Chatbot uuid

Body

name
string
required
color
string
required
The color of the tag in code format, e.g. #088F8F
data_source_uuids
List[string]
The list of data sources to initially be included in the source tag.

Response

uuid
string
name
string
color
string
data_source_uuids
List[string]
created_at
string
modified_at
string
curl --location --request POST 'https://app.innochat.ch/api/v1/chatbot/<uuid>/source-tag/create' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data-raw '{
  "name": "string",
  "color": "#088F8F",
}'
{
  "color": "#088F8F",
  "created_at": "2024-09-12T00:19:12Z",
  "data_source_uuids": [],
  "modified_at": "2024-09-12T00:19:12Z",
  "name": "string",
  "uuid": "d6099f4845794b4bb088b291fc3ef23a"
}